apiVersion: apps/v1
kind: Deployment
metadata:
  name: gateway-gaiax
  labels:
    app: gateway-gaiax
spec:
  strategy:
    type: Recreate
  replicas: 1
  selector:
    matchLabels:
      app: gateway-gaiax
  template:
    metadata:
      labels:
        app: gateway-gaiax
    spec:
      containers:
        - name: gateway-gaiax
          image: image-name
          imagePullPolicy: IfNotPresent
          args:
          ports:
            - containerPort: 3003
          env:
            - name: MONGO_INITDB_ROOT_USERNAME
              valueFrom:
                secretKeyRef:
                  name: mongo-creds
                  key: username
            - name: MONGO_INITDB_ROOT_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: mongo-creds
                  key: password
            - name: MONGO_SERVICE_HOST
              value: mongo
            - name: API_KEY_AUTHORIZED
              valueFrom:
                secretKeyRef:
                  name: digital-signature-gateway-api-key
                  key: api_key_authorized
            - name: NODE_ENV
              value: "production"